package com.zyzf.coffeepreorder.database.model

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.ForeignKey
import androidx.room.Ignore
import androidx.room.PrimaryKey

@Entity(tableName = "coffee", foreignKeys = [
    ForeignKey(
        entity = Cart::class,
        parentColumns = ["uid"],
        childColumns = ["cart_id"],
        onDelete = ForeignKey.RESTRICT,
        onUpdate = ForeignKey.RESTRICT
    )
])
data class Coffee(
    @PrimaryKey(autoGenerate = true)
    val uid: Int?,
    @ColumnInfo(name = "name")
    val name: String,
    @ColumnInfo(name = "cost")
    val cost: Double,
    @ColumnInfo(name = "ingredients")
    val ingredients: String,
    @ColumnInfo(name = "cart_id", index = true)
    val cartId: Int?,
    @ColumnInfo(name = "count")
    val count: Int = 0
) {
    @Ignore
    constructor(
        name: String,
        cost: Double,
        ingredients: String,
        cartId: Int?,
        count: Int?
    ) : this(null, name, cost, ingredients, null, 0)

    override fun equals(other: Any?): Boolean {
        if (this === other) return true
        if (javaClass != other?.javaClass) return false
        other as Coffee
        if (uid != other.uid) return false
        return true
    }

    override fun hashCode(): Int {
        return uid ?: -1
    }
}